aboutsummaryrefslogtreecommitdiffstats
path: root/roms/skiboot/libstb/crypto/mbedtls/tests/git-scripts/pre-push.sh
diff options
context:
space:
mode:
authorAngelos Mouzakitis <a.mouzakitis@virtualopensystems.com>2023-10-10 14:33:42 +0000
committerAngelos Mouzakitis <a.mouzakitis@virtualopensystems.com>2023-10-10 14:33:42 +0000
commitaf1a266670d040d2f4083ff309d732d648afba2a (patch)
tree2fc46203448ddcc6f81546d379abfaeb323575e9 /roms/skiboot/libstb/crypto/mbedtls/tests/git-scripts/pre-push.sh
parente02cda008591317b1625707ff8e115a4841aa889 (diff)
Add submodule dependency filesHEADmaster
Change-Id: Iaf8d18082d3991dec7c0ebbea540f092188eb4ec
Diffstat (limited to 'roms/skiboot/libstb/crypto/mbedtls/tests/git-scripts/pre-push.sh')
-rwxr-xr-xroms/skiboot/libstb/crypto/mbedtls/tests/git-scripts/pre-push.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/roms/skiboot/libstb/crypto/mbedtls/tests/git-scripts/pre-push.sh b/roms/skiboot/libstb/crypto/mbedtls/tests/git-scripts/pre-push.sh
new file mode 100755
index 000000000..86edf5a30
--- /dev/null
+++ b/roms/skiboot/libstb/crypto/mbedtls/tests/git-scripts/pre-push.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+# pre-push.sh
+#
+# This file is part of mbed TLS (https://tls.mbed.org)
+#
+# Copyright (c) 2017, ARM Limited, All Rights Reserved
+#
+# Purpose
+#
+# Called by "git push" after it has checked the remote status, but before anything has been
+# pushed. If this script exits with a non-zero status nothing will be pushed.
+# This script can also be used independently, not using git.
+#
+# This hook is called with the following parameters:
+#
+# $1 -- Name of the remote to which the push is being done
+# $2 -- URL to which the push is being done
+#
+# If pushing without using a named remote those arguments will be equal.
+#
+# Information about the commits which are being pushed is supplied as lines to
+# the standard input in the form:
+#
+# <local ref> <local sha1> <remote ref> <remote sha1>
+#
+
+REMOTE="$1"
+URL="$2"
+
+echo "REMOTE is $REMOTE"
+echo "URL is $URL"
+
+set -eu
+
+run_test()
+{
+ TEST=$1
+ echo "running '$TEST'"
+ if ! `$TEST > /dev/null 2>&1`; then
+ echo "test '$TEST' failed"
+ return 1
+ fi
+}
+
+run_test ./tests/scripts/check-doxy-blocks.pl
+run_test ./tests/scripts/check-names.sh
+run_test ./tests/scripts/check-generated-files.sh
+run_test ./tests/scripts/check-files.py
+run_test ./tests/scripts/doxygen.sh